  import React, {
  useState,
  useCallback,
  useEffect,
} from "react";
import ReactDOM from "react-dom";
import { useWorldAtlas } from "./useWorldAtlas";
import { useData } from "./useData";
import { BubbleMap } from "./BubbleMap";
import { DateHistogram } from "./DateHistrogram";

const width = 960;
const height = 500;

const App = () => {
  const worldAtlas = useWorldAtlas();
  const data = useData();
  const [brushExtent, setBrushExtent] = useState();

  if (!worldAtlas || !data) {
    return <pre>Loading...</pre>;
  }
  return (
    <svg width={width} height={height}>
      <BubbleMap data={data} worldAtlas={worldAtlas}/>
 //<DateHistogram data={data}/>
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
1;
